from sqlalchemy import Boolean, Column, ForeignKey, Integer, String

from app.models.database import BaseModel


class DataManagement(BaseModel):
    __tablename__ = "data_management"

    id = Column(Integer, primary_key=True, index=True)
    # 数据名称
    name = Column(String)
    # 数据类型
    data_type = Column(String)
    # 数据条数
    data_num = Column(Integer)
    # 存储位置
    storage_location = Column(String)
    # 占用存储
    storage_usage = Column(String)
    # 存储路径
    storage_path = Column(String)
    # 完整性
    integrity = Column(String)
    # 创建时间
    create_time = Column(Integer, nullable=False)
    # 创建人名称
    user_name = Column(String, nullable=False)
    # 创建人编号
    user_id = Column(String, nullable=False)
    # 项目编号
    project_id = Column(String, nullable=False)