from re import A
from typing import Optional
from fastapi import APIRouter

from fastapi import Depends
from sqlalchemy.orm import Session
from app import schemas
from app.common.minio import FileHandler

import app.crud as crud
from utils.sx_time import sxtimeit
from utils.sx_web import web_try

from app import get_db

router = APIRouter(
    prefix="/jpt/datamanagement",
    tags=["datamanagement-数据管理"],
)


@router.post("/")
@web_try()
@sxtimeit
def create_data_management(item: schemas.DataManagementCreate, db: Session = Depends(get_db)):
    return crud.create_data_management(db, item)


@router.get("/")
@web_try()
@sxtimeit
def get_data_managements(user_id: str, project_id: str, db: Session = Depends(get_db)):
    return crud.get_data_managements(db, user_id, project_id)

@router.delete("/")
@web_try()
@sxtimeit
def delete_data_management(data_management_id: int, db: Session = Depends(get_db)):
    data_management = crud.delete_data_management(db, data_management_id)
    file_handler = FileHandler("datax")
    file_handler.del_image(data_management.storage_path)
    return data_management