from pydantic import BaseModel

class AirflowRunBase(BaseModel):
    details: dict
    status: int


class AirflowRunCreate(AirflowRunBase):
    start_time: int
    job_id: str
    run_id: str


class AirflowRunUpdate(AirflowRunBase):
    pass
    # end_time: int


class AirflowRun(AirflowRunBase):
    id: int
    start_time: int
    end_time: int
    job_id: str
    run_id: str
    status: int

    class Config:
        orm_mode = True
